# distutils: language = c++
# cython: language_level=3
cimport hashimpl


class hash:

    @staticmethod
    def md5(text:str):
        return hashimpl.md5(text.encode("utf-8"))

    @staticmethod
    def sha256(text:str):
        return hashimpl.sha256(text.encode("utf-8"))

    @staticmethod
    def md5withfile(text:str):
        return hashimpl.md5withfile(text.encode("utf-8"))

    @staticmethod
    def sha256withfile(text:str):
        return hashimpl.sha256withfile(text.encode("utf-8"))